package com.bankaudit.process.model;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name="audit_rating_parameter_category_score")
public class AuditRatingParameterCategoryScore implements Serializable{
	
	@Id
	@Column(name="legal_entity_code")
	private Integer legalEntityCode;	
		
	@Id
	@Column(name="audit_id")
	private String auditId;
	
	@Id
	@Column(name="category_code")
	private String categoryCode;
	
	@Column(name="rm_code")
	private String rmCode;
	
	@Column(name="audit_type_code")
	private String auditTypeCode;
	
	@Column(name="score_on_100")
	private String scoreOn100;
	
	@Column(name="score_on_100_aftr_overlay")
	private String scoreOn100AftrOverlay;
		
	@Column(name="category_prcntg")
	private String categoryPrcntg;
	
	@Column(name="category_prcntg_aftr_overlay")
	private String categoryPrcntgAftrOverlay;
	
	@Column(name="category_rating")
	private String categoryRating;
	
	@Column(name="category_rating_aftr_overlay")
	private String categoryRatingAftrOverlay;	
	
	private transient String categoryName;
	private transient String auditTypeName;
	
	
	public Integer getLegalEntityCode() {
		return legalEntityCode;
	}
	public void setLegalEntityCode(Integer legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}
	public String getAuditId() {
		return auditId;
	}
	public void setAuditId(String auditId) {
		this.auditId = auditId;
	}
	public String getCategoryCode() {
		return categoryCode;
	}
	public void setCategoryCode(String categoryCode) {
		this.categoryCode = categoryCode;
	}
	public String getRmCode() {
		return rmCode;
	}
	public void setRmCode(String rmCode) {
		this.rmCode = rmCode;
	}
	public String getAuditTypeCode() {
		return auditTypeCode;
	}
	public void setAuditTypeCode(String auditTypeCode) {
		this.auditTypeCode = auditTypeCode;
	}
	public String getScoreOn100() {
		return scoreOn100;
	}
	public void setScoreOn100(String scoreOn100) {
		this.scoreOn100 = scoreOn100;
	}
	public String getScoreOn100AftrOverlay() {
		return scoreOn100AftrOverlay;
	}
	public void setScoreOn100AftrOverlay(String scoreOn100AftrOverlay) {
		this.scoreOn100AftrOverlay = scoreOn100AftrOverlay;
	}
	public String getCategoryPrcntg() {
		return categoryPrcntg;
	}
	public void setCategoryPrcntg(String categoryPrcntg) {
		this.categoryPrcntg = categoryPrcntg;
	}
	public String getCategoryPrcntgAftrOverlay() {
		return categoryPrcntgAftrOverlay;
	}
	public void setCategoryPrcntgAftrOverlay(String categoryPrcntgAftrOverlay) {
		this.categoryPrcntgAftrOverlay = categoryPrcntgAftrOverlay;
	}
	public String getCategoryRating() {
		return categoryRating;
	}
	public void setCategoryRating(String categoryRating) {
		this.categoryRating = categoryRating;
	}
	public String getCategoryRatingAftrOverlay() {
		return categoryRatingAftrOverlay;
	}
	public void setCategoryRatingAftrOverlay(String categoryRatingAftrOverlay) {
		this.categoryRatingAftrOverlay = categoryRatingAftrOverlay;
	}
	public String getCategoryName() {
		return categoryName;
	}
	public void setCategoryName(String categoryName) {
		this.categoryName = categoryName;
	}
	public String getAuditTypeName() {
		return auditTypeName;
	}
	public void setAuditTypeName(String auditTypeName) {
		this.auditTypeName = auditTypeName;
	}	
			
}
